<?php
require('fpdf.php');
include($_SERVER[DOCUMENT_ROOT].'/kernel/conecta.php');

$a_ids = explode('-',$_GET[id_lancamento]);
$a_ids = array_filter($a_ids);
$ids = implode(',',$a_ids);

define(PASTA_LOCAL,$_SERVER[DOCUMENT_ROOT].$CACTUX_CONF['path']);

//$arquivo_pdf = PASTA_LOCAL.'/impressao/conteudo_imprimir.pdf';

// VERIFICA O ID DO USUARIO QUE IMPRIMIU PARA MANTER A FILA DE IMPRESSAO
if( $_SESSION[user_nb_id] == '' )	$ID_USER = rand(1000,9999); else	$ID_USER = $_SESSION[user_nb_id];

$arquivo_pdf = PASTA_LOCAL.'/impressao/conteudo_imprimir_'.$_GET[impressora].'_'.$ID_USER.'.pdf';


// INICIA A CRIA敲O DO PDF
$pdf = new FPDF("P","mm",array($CONFIGURA[LARGURA_IMPRESSAO],$CONFIGURA[ALTURA_IMPRESSAO]));
$pdf->SetMargins($CONFIGURA[MARGEM_ESQUERDA],$CONFIGURA[MARGEM_TOPO],$CONFIGURA[MARGEM_DIREITA]);
$pdf->AddPage();
 


// CRIA O CABE茿LHO DA IMPRESS肙

$pdf->SetFont('arial','',7);

$pdf->Cell(0,3,$CONFIGURA[NOME_IMPRESSAO],0,1,'C');
$pdf->Cell(0,3,$CONFIGURA[CNPJ_IMPRESSAO],0,1,'C');
$pdf->Cell(0,3,$CONFIGURA[ENDERECO_IMPRESSAO],0,1,'C');
if ($CONFIGURA[COMPLEMENTO_IMPRESSAO]!='') {
	$pdf->Cell(0,3,$CONFIGURA[COMPLEMENTO_IMPRESSAO],0,1,'C');
}
$pdf->Cell(0,3,$CONFIGURA[CEP_IMPRESSAO],0,1,'C');
$pdf->Ln(5);


$pdf->SetFont('arial','B',9);
$pdf->Cell(0,2,"COMPROVANTE DE ESTACIONAMENTO",0,1,'C');
$pdf->SetFont('arial','',9);
$pdf->Ln(1);
$pdf->SetFont('arial','B',9);
$pdf->Cell(0,2,zeros($_GET[id_estacionamento],6),0,1,'C');
$pdf->SetFont('arial','',9);
$pdf->Ln(8);



$sql=selecionar('estacionamento,veiculo.entidade.convenio','esta_tx_status','!inativo'," AND conv_nb_id = enti_nb_convenio AND veic_nb_entidade = enti_nb_id AND esta_nb_id = '$_GET[id_estacionamento]' LIMIT 1");
$a=carrega_array($sql);

$pdf->SetFont('arial','B',8);
$pdf->Cell(19,2,"ENTRADA:",0,0,"L");
$pdf->SetFont('arial','B',9);
$pdf->Cell(50,2,data($a[esta_tx_entrada],3),0,1,"L");
$pdf->Ln(2);

$pdf->SetFont('arial','B',8);
$pdf->Cell(19,2,"SA虳A:",0,0,"L");
$pdf->SetFont('arial','B',9);
$pdf->Cell(50,2,data($a[esta_tx_saida],3),0,1,"L");
$pdf->Ln(2);

$horas = str_pad((int)($a[esta_tx_permanencia] / 60),2,'0',STR_PAD_LEFT);
$min = str_pad($a[esta_tx_permanencia] % 60,2,'0',STR_PAD_LEFT);

$pdf->SetFont('arial','B',8);
$pdf->Cell(19,2,"DURA敲O:",0,0,"L");
$pdf->SetFont('arial','B',9);
$pdf->Cell(50,2,"$horas:$min",0,1,"L");
$pdf->Ln(2);

$pdf->SetFont('arial','B',8);
$pdf->Cell(19,2,"VALOR:",0,0,"L");
$pdf->SetFont('arial','B',9);
$pdf->Cell(50,2,mostra_valor($a[esta_tx_valorPago]),0,1,"L");
$pdf->Ln(2);

$pdf->SetFont('arial','B',8);
$pdf->Cell(19,2,"CLIENTE:",0,0,"L");
$pdf->SetFont('arial','B',9);
$height = (ceil(($pdf->GetStringWidth($a[enti_tx_nome]) / 40)) * 2);
$pdf->MultiCell(0,$height,$a[enti_tx_nome],0);
$pdf->Ln(2);

$pdf->SetFont('arial','B',8);
$pdf->Cell(19,2,"CONV蔔IO:",0,0,"L");
$pdf->SetFont('arial','B',9);
$pdf->Cell(0,2,$a[conv_tx_nome],0,1,"L");
$pdf->Ln(2);

$pdf->SetFont('arial','B',8);
$pdf->Cell(19,2,"TIPO:",0,0,"L");
$pdf->SetFont('arial','B',9);
$pdf->Cell(0,2,$a[veic_tx_tipo],0,1,"L");
$pdf->Ln(2);

$pdf->SetFont('arial','B',8);
$pdf->Cell(19,2,"COBRAN茿:",0,0,"L");
$pdf->SetFont('arial','B',9);
$pdf->Cell(0,2,strtoupper(strtr($a[enti_tx_tipoCobranca],"衢眢牯沲噼祢","辽陀诼试谜廊桃偾")),0,1,"L");
$pdf->Ln(2);

$pdf->SetFont('arial','B',8);
$pdf->Cell(19,2,"PLACA:",0,0,"L");
$pdf->SetFont('arial','B',9);
$pdf->Cell(0,2,strtoupper($a[veic_tx_placa]),0,1,"L");
$pdf->Ln(4);

if ( $a[enti_nb_id]>1 ) {
	$sql_data = selecionar('ordem','orde_tx_status,orde_nb_entidade',"ativo,$a[enti_nb_id]"," AND orde_tx_tipo LIKE 'Recebimentos Mensalidades' ORDER BY orde_nb_id DESC LIMIT 1 ");
	if( num_linhas($sql_data) > 0 ) {
		$a_data = carrega_array($sql_data);

		$d1 = strtotime(date('Y-m-d')); 
		$d2 = strtotime($a_data[orde_tx_data]);

		$dataFinal = ($d2 - $d1) /86400;
		if($dataFinal < 0)
		$dataFinal = $dataFinal * -1;
		$dataFinal = ceil($dataFinal);

		$pdf->Cell(0,2,"FALTAM ".$dataFinal." DIAS PARA O VENCIMENTO",0,1,"L");
	}
}

$pdf->Ln(4);




$a_user = carregar('user',$_SESSION[user_nb_id]);


$pdf->SetFont('arial','B',10);
$pdf->Cell(0,2,'SISTEMAS CACTUS',0,1,"C");
$pdf->Ln(2);

$pdf->SetFont('arial','',9);
$pdf->Cell(0,2,"Data ".date('d/m/Y').' ('.date('H:i:s').')',0,1,"C");
$pdf->Ln(1);
$pdf->Cell(0,2,"Usu醨io: ".$a_user[user_tx_login],0,1,"C");


// GERA O ARQUIVO PDF
$pdf->Output($arquivo_pdf,'F');

bat_imprime($arquivo_pdf);

?>